#!/usr/env/python

import pygame
from pygame.locals import *


# game imports
import Vehicle, Wall, Lamp, Debug_pt, parameters, Title, tools, levels

def main():

    pygame.init()

    tools.group = pygame.sprite.RenderPlain()

    tools.screen = pygame.display.set_mode(parameters.WINDOW_SIZE)
    pygame.display.set_caption('AL 101')

    tools.background = pygame.Surface(tools.screen.get_size())
    tools.background = tools.background.convert()
    tools.background.fill(parameters.BACKGROUND_COLOR)

    clock = pygame.time.Clock()

     
    tools.title_screen = Title.Title()

    tools.title_screen.init_draw()

    tools.current_screen = tools.title_screen
    current_screen = tools.current_screen

    while 1:
        clock.tick(60)

        if (tools.change_level == 1):
            
            #tools.background.fill(parameters.BACKGROUND_COLOR)
            #pygame.display.flip()
            
            tools.current_screen = levels.get_level(tools.next_level)
            tools.change_level = 0
            
        
        if current_screen != tools.current_screen:
            tools.background.fill(parameters.BACKGROUND_COLOR)
            pygame.display.flip()
            
            current_screen = tools.current_screen
            current_screen.init_sprites()
            current_screen.init_draw()
            pygame.event.clear(MOUSEBUTTONDOWN)

            
            
        tools.screen.blit(tools.background, (0, 0))

        current_screen.update()
        
        pygame.display.flip()

        
        for event in pygame.event.get():
            if event.type == QUIT:
                return
            elif event.type == MOUSEBUTTONDOWN:
                
                current_screen.clicked(pygame.mouse.get_pos())
            elif event.type == MOUSEBUTTONUP:
                current_screen.unclicked(pygame.mouse.get_pos())
        
        pygame.event.pump()

            

if __name__ == '__main__': main()
